export declare class BaseError extends Error {
    constructor(message: string, statusCode: string, type: string, context?: Record<string, any>);
    type: string;
    statusCode: string;
    context?: Record<string, any>;
}
export declare class Unauthorized extends BaseError {
    constructor(message: string, context?: Record<string, any>);
}
export declare class UnsupportedMediaType extends BaseError {
    constructor(message: string, context?: Record<string, any>);
}
export declare class TooManyRequests extends BaseError {
    constructor(message: string, context?: Record<string, any>);
}
export declare class NotFound extends BaseError {
    constructor(message: string, context?: Record<string, any>);
}
export declare class BadRequest extends BaseError {
    constructor(message: string, context?: Record<string, any>);
}
export declare class InternalServerError extends BaseError {
    constructor(message: string, context?: Record<string, any>);
}
export declare class UnprocessableEntity extends BaseError {
    constructor(message: string, context?: Record<string, any>);
}
