"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HeaderParamFactory = void 0;
function HeaderParamFactory(headers) {
    const processedHeaders = Object.entries(headers).reduce((res, [k, v]) => ({
        ...res,
        [k.toLowerCase()]: v,
    }), {});
    processedHeaders.getHeader = (header) => {
        return processedHeaders[header.toLowerCase()];
    };
    return processedHeaders;
}
exports.HeaderParamFactory = HeaderParamFactory;
